# PetscRandomSetSeed

Sets the random seed.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomSetSeed(PetscRandom r,unsigned long seed)

Not collective

### Input Parameters

| r | - The random number generator context
| seed | - The random seed

### Usage

PetscRandomSetSeed(r,a positive integer); PetscRandomSeed(r); PetscRandomGetValue() will now start with the new seed.

PetscRandomSeed(r) without a call to PetscRandomSetSeed() re-initializes the seed. The random numbers generated will be the same as before.

### See Also

PetscRandomCreate(), PetscRandomGetSeed(), PetscRandomSeed()

Level:intermediate
Location: src/sys/random/interface/random.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages